<Type Name="ForeignKeyConstraint" FullName="System.Data.ForeignKeyConstraint">
  <TypeSignature Language="C#" Value="public class ForeignKeyConstraint : System.Data.Constraint" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Data.Constraint</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.ComponentModel.DefaultPropertyAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.ComponentModel.EditorAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="GetHashCode">
      <MemberSignature Language="C#" Value="public virtual int GetHashCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public virtual bool Equals (object key);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="key" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="key">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ForeignKeyConstraint (DataColumn parentColumn, DataColumn childColumn);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="parentColumn" Type="System.Data.DataColumn" />
		<Parameter Name="childColumn" Type="System.Data.DataColumn" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="parentColumn">To be added: an object of type 'DataColumn'</param>
        <param name="childColumn">To be added: an object of type 'DataColumn'</param>
        <returns>To be added: an object of type 'ForeignKeyConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ForeignKeyConstraint (string constraintName, DataColumn parentColumn, DataColumn childColumn);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="constraintName" Type="System.String" />
		<Parameter Name="parentColumn" Type="System.Data.DataColumn" />
		<Parameter Name="childColumn" Type="System.Data.DataColumn" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="constraintName">To be added: an object of type 'string'</param>
        <param name="parentColumn">To be added: an object of type 'DataColumn'</param>
        <param name="childColumn">To be added: an object of type 'DataColumn'</param>
        <returns>To be added: an object of type 'ForeignKeyConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ForeignKeyConstraint (DataColumn [] parentColumns, DataColumn [] childColumns);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="parentColumns" Type="System.Data.DataColumn[]" />
		<Parameter Name="childColumns" Type="System.Data.DataColumn[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="parentColumns">To be added: an object of type 'DataColumn []'</param>
        <param name="childColumns">To be added: an object of type 'DataColumn []'</param>
        <returns>To be added: an object of type 'ForeignKeyConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ForeignKeyConstraint (string constraintName, DataColumn [] parentColumns, DataColumn [] childColumns);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="constraintName" Type="System.String" />
		<Parameter Name="parentColumns" Type="System.Data.DataColumn[]" />
		<Parameter Name="childColumns" Type="System.Data.DataColumn[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="constraintName">To be added: an object of type 'string'</param>
        <param name="parentColumns">To be added: an object of type 'DataColumn []'</param>
        <param name="childColumns">To be added: an object of type 'DataColumn []'</param>
        <returns>To be added: an object of type 'ForeignKeyConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public ForeignKeyConstraint (string constraintName, string parentTableName, string [] parentColumnNames, string [] childColumnNames, AcceptRejectRule acceptRejectRule, Rule deleteRule, Rule updateRule);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="constraintName" Type="System.String" />
		<Parameter Name="parentTableName" Type="System.String" />
		<Parameter Name="parentColumnNames" Type="System.String[]" />
		<Parameter Name="childColumnNames" Type="System.String[]" />
		<Parameter Name="acceptRejectRule" Type="System.Data.AcceptRejectRule" />
		<Parameter Name="deleteRule" Type="System.Data.Rule" />
		<Parameter Name="updateRule" Type="System.Data.Rule" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="constraintName">To be added: an object of type 'string'</param>
        <param name="parentTableName">To be added: an object of type 'string'</param>
        <param name="parentColumnNames">To be added: an object of type 'string []'</param>
        <param name="childColumnNames">To be added: an object of type 'string []'</param>
        <param name="acceptRejectRule">To be added: an object of type 'AcceptRejectRule'</param>
        <param name="deleteRule">To be added: an object of type 'Rule'</param>
        <param name="updateRule">To be added: an object of type 'Rule'</param>
        <returns>To be added: an object of type 'ForeignKeyConstraint'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Columns">
      <MemberSignature Language="C#" Value="public virtual DataColumn [] Columns { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataColumn[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataColumn []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Table">
      <MemberSignature Language="C#" Value="public virtual DataTable Table { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataTable'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AcceptRejectRule">
      <MemberSignature Language="C#" Value="public virtual AcceptRejectRule AcceptRejectRule { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.AcceptRejectRule</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'AcceptRejectRule'</param>
        <returns>To be added: an object of type 'AcceptRejectRule'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DeleteRule">
      <MemberSignature Language="C#" Value="public virtual Rule DeleteRule { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.Rule</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Rule'</param>
        <returns>To be added: an object of type 'Rule'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RelatedColumns">
      <MemberSignature Language="C#" Value="public virtual DataColumn [] RelatedColumns { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataColumn[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataColumn []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RelatedTable">
      <MemberSignature Language="C#" Value="public virtual DataTable RelatedTable { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataTable'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="UpdateRule">
      <MemberSignature Language="C#" Value="public virtual Rule UpdateRule { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.Rule</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Rule'</param>
        <returns>To be added: an object of type 'Rule'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
